Index: /extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 4983)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 4984)
@@ -33,4 +33,5 @@
 $UserAdvManager_ConfirmMail_Error_Txt2 = false;
 $UserAdvManager_Exclusionlist_Error = false;
+
 
 // +-----------------------------------------------------------------------+
@@ -61,4 +62,5 @@
 $tabsheet->assign();
 
+
 // +-----------------------------------------------------------------------+
 // |                      Getting plugin version                           |
@@ -66,4 +68,18 @@
 $plugin =  PluginVer(NBC_UAM_PATH);
 $version = $plugin['version'] ;
+
+
+// +----------------------------------------------------------+
+// |            FCK Editor for email text fields              |
+// +----------------------------------------------------------+
+$toolbar = 'Basic';
+$width = '750px';
+$height = '300px';
+$areas = array();
+array_push( $areas,'UserAdvManager_MailInfo_Text','UserAdvManager_ConfirmMail_Text','UserAdvManager_GhostTracker_ReminderText','UserAdvManager_ConfirmMail_ReMail_Txt1','UserAdvManager_ConfirmMail_ReMail_Txt2');
+ 
+if (function_exists('set_fckeditor_instance'))
+  set_fckeditor_instance($areas, $toolbar, $width, $height);
+
 
 // +-----------------------------------------------------------------------+
Index: /extensions/NBC_UserAdvManager/trunk/admin/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 4983)
+++ /extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 4984)
@@ -13,4 +13,18 @@
 </script>
 
+<script type="text/javascript">
+function nbc_blockToggleDisplay($head1, $ehead1)
+{ldelim}
+n1=$head1;
+n2=$ehead1;
+
+blockToggleDisplay($head1, $ehead1) ;
+     document.getElementById("nb_para").value =n1 ;  
+     document.getElementById("nb_para2").value =n2 ;
+}
+
+blockToggleDisplay(n1,n2 );
+</script>
+
 <div class="titrePage">
   <h2>{'Title_Tab'|@translate} {$UAM_VERSION}<br>{'SubTitle1'|@translate}</h2>
@@ -21,6 +35,6 @@
 <p><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} >&nbsp;<input class="submit" type="submit" value="{'audit'|@translate}" name="audit"></p>
 
-<input name="nb_para" id="nb_para" type="texte" value="{$nb_para}" style="display:none"> 
-<input name="nb_para2" id="nb_para2" type="texte" value="{$nb_para2}" style="display:none"> 
+<input name="nb_para" id="nb_para" type="text" value="{$nb_para}" style="display:none"> 
+<input name="nb_para2" id="nb_para2" type="text" value="{$nb_para2}" style="display:none"> 
 
 <div id="instructionConfig1" class="instructionBlock" >
@@ -111,4 +125,9 @@
           </li>
 {/if}
+{if 'FCK_PATH'|@defined}
+  <div style="text-align:right;">
+    <a href="#" onClick="toogleEditor('UserAdvManager_MailInfo_Text'); return false;">FCK Editor On/Off</a>
+  </div>
+{/if}
         </ul>
 
@@ -133,4 +152,9 @@
             <textarea name="UserAdvManager_ConfirmMail_Text" id="UserAdvManager_ConfirmMail_Text" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_TEXT}</textarea><br><br>
           </li>
+{/if}
+{if 'FCK_PATH'|@defined}
+  <div style="text-align:right;">
+    <a href="#" onClick="toogleEditor('UserAdvManager_ConfirmMail_Text'); return false;">FCK Editor On/Off</a>
+  </div>
 {/if}
         </ul>
@@ -198,4 +222,9 @@
         </li>
 {/if}
+{if 'FCK_PATH'|@defined}
+  <div style="text-align:right;">
+    <a href="#" onClick="toogleEditor('UserAdvManager_ConfirmMail_ReMail_Txt1'); return false;">FCK Editor On/Off</a>
+  </div>
+{/if}
 
 {if $UserAdvManager_CONFIRMMAIL_REMAIL_TRUE}
@@ -213,4 +242,9 @@
           <textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea><br><br>
         </li>
+{/if}
+{if 'FCK_PATH'|@defined}
+  <div style="text-align:right;">
+    <a href="#" onClick="toogleEditor('UserAdvManager_ConfirmMail_ReMail_Txt2'); return false;">FCK Editor On/Off</a>
+  </div>
 {/if}
         </ul>
@@ -250,4 +284,9 @@
             <textarea name="UserAdvManager_GhostTracker_ReminderText" id="UserAdvManager_GhostTracker_ReminderText" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UserAdvManager_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
           </li>
+{/if}
+{if 'FCK_PATH'|@defined}
+  <div style="text-align:right;">
+    <a href="#" onClick="toogleEditor('UserAdvManager_GhostTracker_ReminderText'); return false;">FCK Editor On/Off</a>
+  </div>
 {/if}
         </ul>
@@ -291,18 +330,6 @@
 
 <script type="text/javascript">
-
-var n1=document.getElementById("nb_para").value ;
-var n2=document.getElementById("nb_para2").value;
-
-function nbc_blockToggleDisplay($head1, $ehead1)
-{ldelim}
-n1=$head1;
-n2=$ehead1;
-
-blockToggleDisplay($head1, $ehead1) ;
-     document.getElementById("nb_para").value =n1 ;  
-     document.getElementById("nb_para2").value =n2 ;
-}
-
-blockToggleDisplay(n1,n2 );
+  var n1=document.getElementById("nb_para").value ;
+  var n2=document.getElementById("nb_para2").value;
+   nbc_blockToggleDisplay(n1,n2 );
 </script>
Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 4983)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 4984)
@@ -123,7 +123,9 @@
 
 -- 2.13.4 : Add of obsolete files management
+            Add compatibility with FCK Editor plugin for email text fields
             Bug 1303 and 1387 fixed - Due to a bug in Piwigo's 2.0.8 switch_lang() function, the email contents using Extended Description tags wasn't taking user's language in account. A frist fix is now set for the current 2.0.8 Piwigo's version and another one is ready to work for the next Piwigo's release.
             Bug 1444 fixed
             Bug 1445 fixed - The plugin's administration panel have been all reviewed and improved with text simplification and display enhancement.
+            Bug 1463 fixed
 */
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 4983)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 4984)
@@ -28,5 +28,5 @@
 $lang['Err_audit_username_char'] = '<b>This account uses one or more forbidden characters :</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>This account uses a forbidden email provider :</b> ';
-$lang['Err_audit_advise'] = '<b>you have to perform corrections to comply with new rules that you have activated.<br>Use a database management utility to correct user accounts directly in the table ### _USERS';
+$lang['Err_audit_advise'] = '<b>you have to perform corrections to comply with new rules that you have activated.<br>Use a database management utility to correct user accounts directly in the table ###_USERS';
 $lang['UserAdvManager_Empty Author'] = 'The author field have to be filled to send a comment.';
 if ( isset($conf_UserAdvManager[1]) and $conf_UserAdvManager[1] == 'true' )
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 4983)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 4984)
@@ -111,5 +111,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.13.0
 /* UserList Tab */
-$lang['UserList_Title'] = 'Seguimiento a los usuarios registrados';
+$lang['UserList_Title'] = 'Seguimiento los usuarios registrados';
 $lang['Nb_Days'] = 'Número de días<br>desde la última visita';
 // --------- End: New or revised $lang ---- from version 2.13.0
@@ -154,5 +154,5 @@
 $lang['UserAdvManager_ConfirmMail_Text'] = ' Personalización del correo electrónico de confirmación:';
 $lang['UserAdvManager_Confirm_grpstat_notice'] = 'Precaución: Es recomendable utilizar el grupo o los estatutos de validación y no ambos simultáneamente.';
-$lang['UserAdvManager_Confirm_Group'] = 'Los grupos de validación<br>(Dejar ------- para no afectar grupo)';
+$lang['UserAdvManager_Confirm_Group'] = 'Grupos de validación<br>(Dejar ------- para no afectar grupo)';
 $lang['UserAdvManager_Confirm_Status'] = 'Estatutos de validación<br>(Dejar ------- para mantener el valor predeterminado de Piwigo)';
 $lang['UserAdvManager_No_Confirm_Group'] = 'Grupo para los usuarios que no han validado su registro<br>';
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 4983)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 4984)
@@ -6,257 +6,260 @@
 
 
+/* UserManager Tab */
+$lang['Registration_Date'] = 'Data di registrazione';
+
+
+/* Mailing */
+$lang['infos_mail %s'] = '%s, si prega di trovare qui i tuoi dati di accesso alla galleria:';
+$lang['User: %s'] = 'Utente: %s';
+$lang['Password: %s'] = 'Password: %s';
+$lang['Link: %s'] = 'Per favore, cliccare su questo link per confermare la registrazione: %s';
+
+
+/* Email confirmation page */
+$lang['title_confirm_mail'] = 'Convalidare la tua registrazione';
+$lang['confirm_mail_page_title'] = 'Convalidare la tua registrazione';
+$lang['confirm_mail_ok'] = '<br><br><br>Grazie per aver confermato il tuo indirizzo e-mail e registrazione sulla galleria. Have fun!<br><br><br><br>';
+
+
+/* Errors and Warnings */
+$lang['UserAdvManager_audit_ok'] = 'Audit OK';
+$lang['Err_audit_no_casse'] = '<b>Questi conti sono identici al caso da vicino:</b> ';
+$lang['Err_audit_username_char'] = '<b>Questo conto utilizza uno o più caratteri vietato:</b> ';
+$lang['Err_audit_email_forbidden'] = '<b>Questo account viene utilizzato un email provider proibito:</b> ';
+$lang['Err_audit_advise'] = '<b>è necessario eseguire correzioni per conformarsi alle nuove regole che sono state attivate.<br>Utilizzare un programma per la gestione di database per correggere gli account utente direttamente nella tabella ###_USERS';
+$lang['UserAdvManager_Empty Author'] = 'Il campo autore devono essere riempiti per inviare un commento.';
+if ( isset($conf_UserAdvManager[1]) and $conf_UserAdvManager[1] == 'true' )
+	$lang['reg_err_login5'] = 'Nome utente esistono già, il nome di richiamo è case insensitive (Shift = Tiny).';
+$lang['reg_err_login6'] = 'Nome utente non deve corrispondere i seguenti caratteri: ';
+$lang['reg_err_login7'] = 'Il tuo provider di posta elettronica è vietato per la registrazione. Vietato provider di posta elettronica sono i seguenti: ';
+$lang['UserAdvManager_empty_pwd'] = '[password vuota]';
+$lang['UserAdvManager_no_update_pwd'] = '[profilo aggiornato senza password cambiata]';
+$lang['invalid_pwd'] = 'Nome utente o password non validi!';
+$lang['No_validation_for_Guest'] = '"Guest" conto non è soggetta a convalida';
+$lang['No_validation_for_default_user'] = 'L\'account predefinito non è soggetta a convalida';
+$lang['No_validation_for_Webmaster'] = '"Webmaster" conto non è soggetta a convalida';
+$lang['No_validation_for_your_account'] = 'Il tuo account admin Personnal non è soggetta a convalida';
+$lang['Database_Error'] = '<b><u>Attenzione! Errore di integrità critico nel database.</u></b><br><br>Si prega di verificare l\'integrità della tabella #_user_confirm_mail.';
+
+
+/* Processing messages */
+$lang['%d_Mail_With_Key'] = '%d messaggio con il rinnovo chiave è stata inviata';
+$lang['%d_Mails_With_Key'] = '%d messaggi con il rinnovo chiave sono stati inviati';
+$lang['%d_Reminder_Sent'] = '%d messaggio di promemoria è stato inviato';
+$lang['%d_Reminders_Sent'] = '%d messaggi di promemoria sono stati inviati';
+$lang['%d_Validated_User'] = '%d utente convalidato manualmente';
+$lang['%d_Validated_Users'] = '%d utenti convalidato manualmente';
+
+
+/* Action button names */
+$lang['Delete_selected'] = 'Eliminare';
+$lang['Mail_without_key'] = 'Promemoria senza chiave';
+$lang['Mail_with_key'] = 'Promemoria con chiave';
+$lang['Force_Validation'] = 'Forzati di convalida';
+
+
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
 /* Global Configuration Tab */
-$lang['Tab_Global'] = 'General Setup';
-$lang['UserAdvManager_Mail_Info'] = 'Mail d\'informazione per l\'utente:';
-$lang['UserAdvManager_Mail_Info_true'] = ' Inviare una mail all\'utente riprendendo le sue informazioni di connessione al momento della registrazione o quelle dell\'ultimo aggiornamento del suo profilo.';
-$lang['UserAdvManager_Mail_Info_false'] = ' Disattiva l\'invio della mail. (valore di default)';
-$lang['UserAdvManager_MailInfo_Text'] = ' Testo utilizzato come introduzzione all\'e-mail inviata all\'utente per consentirgli di convalidare il suo indirizzo e-mail<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENZIONE !</b> <b style="color: red;">Modifica del testo è disponibile <b>SOLO</b> se l\'e-mail informazione destinata all\'utente è attivata. Utilizzare il metodo dei tag multi-lingua del plugin Extended Description se quest\'ultimo è attivo !!!)</b>';
-$lang['UserAdvManager_No_Casse'] = ' Caso il nome utente insensitive';
-$lang['UserAdvManager_No_Casse_false'] = ' Lasciare che il caso degli utenti sensibili. (default)';
-$lang['UserAdvManager_Username_Char'] = ' Limitate di caratteri per nome utente';
-$lang['UserAdvManager_Username_Char_false'] = ' Utilizzare il nome utente predefinito caratteri di controllo. (default)';
-$lang['UserAdvManager_Confirm_Mail'] = 'Conferma indirizzo e-mail:';
-$lang['UserAdvManager_Confirm_Mail_true'] = ' Invia una email a utente per consentirgli di convalidare la sua e-mail e la sua registrazione.';
-$lang['UserAdvManager_Confirm_Mail_false'] = ' Utilizzare il sistema di default di registrazione (senza la registrazione di convalida). (default)';
-$lang['UserAdvManager_ConfirmMail_Text'] = ' Testo utilizzato per introdurre l\'e-mail inviata all\'utente per consentirgli di convalidare il suo indirizzo e-mail<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENZIONE !</b> <b style="color: red;">Modifica del testo è disponibile SOLO se l\'indirizzo e-mail di conferma è attivata. Utilizzare i tag multi lingua da plugin descrizione estesa, se questo plugin è attivato !!!)</b>';
-$lang['UserAdvManager_Confirm_Group_Notice'] = 'ATTENZIONE : L\'utilizzo di gruppi di convalida richiede che si è creato almeno un gruppo di utenti, ed è definito "di default" nella gestione di gruppi di utenti.';
-$lang['UserAdvManager_No_Confirm_Group'] = 'Gruppo da utilizzare per gli utenti che non hanno convalidato il loro indirizzo email.';
-$lang['UserAdvManager_Validated_Group'] = 'Gruppo da utilizzare per gli utenti che hanno convalidato il loro indirizzo email.';
-$lang['UserAdvManager_Confirm_Status_Notice'] = 'ATTENZIONE : L\'uso di convalida lo stato richiede che si hanno mantenuto il "cliente" utente con impostazione di default (come utente modello) per i nuovi iscritti. Nota È possibile impostare qualsiasi altro utente come un modello per i nuovi iscritti. Si prega di fare riferimento alla documentazione del Piwigo per maggiori dettagli.';
-$lang['UserAdvManager_No_Confirm_Status'] = 'Di stato per l\'uso per gli utenti che non hanno convalidato il loro indirizzo email.';
-$lang['UserAdvManager_Validated_Status'] = 'Di stato per l\'uso per gli utenti che hanno convalidato il loro indirizzo email. Tenere ------- per l\'utilizzo di valori di default';
-$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Il campo autore devono essere riempiti per inviare un commento.';
-$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Utilizzare le impostazioni predefinite sui commenti invio. (default)';
-$lang['UserAdvManager_MailExclusion'] = 'L\'esclusione provider e-mail:';
-$lang['UserAdvManager_MailExclusion_true'] = ' Impostare l\'esclusione provider di posta elettronica ON (vale a dire: @hotmail.* o @msn.*)';
-$lang['UserAdvManager_MailExclusion_false'] = ' Disabilitare l\'esclusione provider di posta elettronica. (default)';
-$lang['UserAdvManager_MailExclusion_List'] = ' Se l\'esclusione provider di posta elettronica è impostato su ON, riempire i domini e-mail di escludere qui sotto. Devi usare il formato seguente:<br>@[dominio_nome].[dominio_estensione] - Esempio : @hotmail.com<br>Separare i diversi domini con una virgola (,)<br>';
-
-
-/* ConfirmMail Configuration Tab */
-/* TODO */$lang['UserAdvManager_ConfirmMail_Info'] = 'Time limitation for validation of registration :<br>If you enable this option, select the desired time (x) in the field below. Visitors who register will then have x days to validate their registration. After this period the validation link they have received by mail will be expired.<br>';
-/* TODO */$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = 'Enable limiting the registration deadline.';
-/* TODO */$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = 'Disable limiting the registration deadline. (Default)';
-/* TODO */$lang['UserAdvManager_ConfirmMail_TimeOut'] = 'Validation delay :';
-/* TODO */$lang['UserAdvManager_ConfirmMail_Delay_Info'] = 'Enter the number of days before expiry of the registration validation : ';
-/* TODO */$lang['UserAdvManager_ConfirmMail_Remail'] = 'Enable or disable email reminder of unvalidated registers :';
-/* TODO */$lang['UserAdvManager_ConfirmMail_Remail_true'] = 'Enable email reminder';
-/* TODO */$lang['UserAdvManager_ConfirmMail_Remail_false'] = 'Disable email reminder. (Default)';
-/* TODO */$lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Custom content of the reminder message with regeneration of validation key.<br>If left blank, the reminder email will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled at the plugin installation is given as an example)<br><br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if email reminder is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
-/* TODO */$lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Custom content of the reminder message without regeneration of validation key.<br>If left blank, the reminder email will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled at the plugin installation is given as an example)<br><br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if email reminder is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
-
+$lang['PasswordTest'] = 'Calcolo punteggio';
+/* Ghost Tracker Tab */
+$lang['Tab_GhostTracker'] = 'Ghost Tracker';
+$lang['LastVisit_Date'] = 'Ultima visita';
+$lang['Reminder'] = 'E-mail di sollecito';
+$lang['Reminder_Sent_OK'] = 'SI';
+$lang['Reminder_Sent_NOK'] = 'NO';
+/* Errors and Warnings */
+$lang['UserAdvManager_save_config'] ='Configurazione salvata.';
+$lang['reg_err_login3'] = 'Security: Password è obbligatorio!';
+$lang['reg_err_login4_%s'] = 'Sicurezza: un sistema di controllo calcola un punteggio sulla scelta password complessità. La complessità della password è troppo bassa (punteggio = %s). Si prega di scegliere una nuova password più sicura seguendo queste regole:<br>
+- Utilizzare le lettere e numeri<br>
+- Usare maiuscole e minuscole<br>
+- Aumentare la sua lunghezza (numero di caratteri)<br>
+Le password punteggio minimo richiesto dall\'amministratore è: ';
+$lang['No_reminder_for_Guest'] = '"Guest" conto non è soggetto a ricevere i promemoria da GhostTracker';
+$lang['No_reminder_for_default_user'] = 'L\'account predefinito non è soggetto a ricevere i promemoria da GhostTracker';
+$lang['No_reminder_for_Webmaster'] = '"Webmaster" conto non è soggetto a ricevere i promemoria da GhostTracker';
+$lang['No_reminder_for_your_account'] = 'Il tuo account admin Personnal non è soggetto a ricevere i promemoria da GhostTracker';
+/* Action button names */
+$lang['audit'] = 'Audit impostazioni';
+$lang['submit'] = 'Salva impostazioni';
+// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.2
+/* Errors and Warnings */
+$lang['GhostTracker_Init_OK'] = 'GhostTracker reset fatto!';
+/* Action button names */
+$lang['GT_Reset'] = 'Reset Ghost Tracker';
+// --------- End: New or revised $lang ---- from version 2.12.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.7
+/* Errors and Warnings */
+$lang['mail_text_error'] = '<b>Attenzione!</b> - Punto e virgola (;) non sono ammessi in addtionnal testo e-mail. Questo carattere è stato automaticamente sostituito da un punto (.). Per informazioni, il testo modificato(s) è (sono) indicato in rosso nel campo corrispondente (s). Vi preghiamo di controllare lo(li) fuori.';
+// --------- End: New or revised $lang ---- from version 2.12.7
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.8
+/* Errors and Warnings */
+$lang['mail_exclusionlist_error'] = 'Attenzione! Hai inserito una nuova linea (CR-LF) all\'inizio della lista di esclusione email (indicato in rosso qui sotto). Anche se questa nuova linea non è visibile, è ancora presente e potrebbe causare un malfunzionamento del plugin. Si prega di digitare nuovamente nel vostro elenco di esclusione in un modo che non inizia con un ritorno a capo.';
+// --------- End: New or revised $lang ---- from version 2.12.8
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.13.0
+/* UserList Tab */
+$lang['UserList_Title'] = 'Monitoraggio utenti registrati';
+$lang['Nb_Days'] = 'Numero di giorni<br>dall\'ultima visita';
+// --------- End: New or revised $lang ---- from version 2.13.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.13.4
+$lang['uam_no_unlink'] = '\'unlink\' funzione non è disponibile';
+$lang['uam_unlink_errors'] = 'Si sono verificati errori durante l\'eliminazione di file';
+/* Global Configuration Tab */
+$lang['Title_Tab'] = 'UserAdvManager - Versione: ';
+$lang['SubTitle1'] = 'Configurazione dei plugin';
+$lang['Tab_Global'] = 'Configurazione';
+$lang['UserAdvManager_Title1'] = 'Impostare le restrizioni per le registrazioni';
+$lang['UserAdvManager_Title2'] = 'Impostare le conferme e validazioni di registrazione';
+$lang['UserAdvManager_Title3'] = 'Impostare le registrazioni seguiti e altre opzioni';
+$lang['UserAdvManager_Title4'] = 'Suggerimenti ed esempi di utilizzo';
+/* TODO */$lang['UserAdvManager_No_Casse'] = 'Usernames: Case sensitivity';
+/* TODO */$lang['UserAdvManager_No_Casse_true'] = ' Enable';
+/* TODO */$lang['UserAdvManager_No_Casse_false'] = ' Disable (default)';
+/* TODO */$lang['UserAdvManager_Username_Char'] = 'Usernames: Exclusion of characters';
+/* TODO */$lang['UserAdvManager_Username_Char_true'] = ' Banning characters:<br>(Use a comma to separate each character)<br><br>';
+/* TODO */$lang['UserAdvManager_Username_Char_false'] = ' Permit all (default)';
+/* TODO */$lang['UserAdvManager_Password_Enforced'] = 'Strengthening the security level of passwords';
+/* TODO */$lang['UserAdvManager_Password_Enforced_true'] = ' Enable. Minimum Score: ';
+/* TODO */$lang['UserAdvManager_Password_Enforced_false'] = ' Disable (default)';
+/* TODO */$lang['UserAdvManager_AdminPassword_Enforced'] = 'Applying to administrators';
+/* TODO */$lang['UserAdvManager_AdminPassword_Enforced_true'] = ' Enable';
+/* TODO */$lang['UserAdvManager_AdminPassword_Enforced_false'] = ' Disable (default)';
+/* TODO */$lang['UserAdvManager_PasswordTest'] = 'Password test: ';
+/* TODO */$lang['UserAdvManager_ScoreTest'] = 'Result: ';
+/* TODO */$lang['UserAdvManager_MailExclusion'] = 'Email domains exclusion';
+/* TODO */$lang['UserAdvManager_MailExclusion_true'] = ' Exclude the following domains:<br>(Use a comma to separate each domain)';
+/* TODO */$lang['UserAdvManager_MailExclusion_false'] = ' Disable (default)';
+
+/* TODO */$lang['UserAdvManager_Mail_Info'] = 'Information email to user:';
+/* TODO */$lang['UserAdvManager_Mail_Info_true'] = ' Enable';
+/* TODO */$lang['UserAdvManager_Mail_Info_false'] = ' Disable (default)';
+/* TODO */$lang['UserAdvManager_MailInfo_Text'] = ' Customizing the information email:';
+/* TODO */$lang['UserAdvManager_Confirm_Mail'] = 'Confirmation of registration:';
+/* TODO */$lang['UserAdvManager_Confirm_Mail_true'] = ' Enable';
+/* TODO */$lang['UserAdvManager_Confirm_Mail_false'] = ' Disable (default)';
+/* TODO */$lang['UserAdvManager_ConfirmMail_Text'] = ' Customizing the confirmation email:';
+/* TODO */$lang['UserAdvManager_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the validation statutes and not both simultaneously.';
+/* TODO */$lang['UserAdvManager_Confirm_Group'] = 'Validation Groups<br>(leave ------- to not affect group)';
+/* TODO */$lang['UserAdvManager_Confirm_Status'] = 'Validation Statutes<br>(leave ------- to keep the Piwigo\'s default)';
+/* TODO */$lang['UserAdvManager_No_Confirm_Group'] = 'Group for users who have not validated their registration<br>';
+/* TODO */$lang['UserAdvManager_Validated_Group'] = 'Group for users who have validated their registration<br>';
+/* TODO */$lang['UserAdvManager_No_Confirm_Status'] = 'Status for users who have not validated their registration<br>';
+/* TODO */$lang['UserAdvManager_Validated_Status'] = 'Status for users who have validated their registration<br>';
+/* TODO */$lang['UserAdvManager_ValidationLimit_Info'] = 'Deadline for registration validation limited';
+/* TODO */$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
+/* TODO */$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = ' Disable (default)';
+/* TODO */$lang['UserAdvManager_ConfirmMail_Remail'] = 'Remind unvalidated users';
+/* TODO */$lang['UserAdvManager_ConfirmMail_Remail_true'] = ' Enable';
+/* TODO */$lang['UserAdvManager_ConfirmMail_Remail_false'] = ' Disable (default)';
+/* TODO */$lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of key validation.';
+/* TODO */$lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of key validation.';
+
+/* TODO */$lang['UserAdvManager_GhostTracker'] = 'Ghost visitors management (Ghost Tracker)';
+/* TODO */$lang['UserAdvManager_GhostTracker_true'] = ' Enable. Maximum period in days between two visits: ';
+/* TODO */$lang['UserAdvManager_GhostTracker_false'] = ' Disable (default)';
+/* TODO */$lang['UserAdvManager_GhostTracker_ReminderText'] = 'Customizing Ghost Tracker\'s reminder message';
+/* TODO */$lang['UserAdvManager_LastVisit'] = ' Tracking registered users';
+/* TODO */$lang['UserAdvManager_LastVisit_true'] = ' Enable';
+/* TODO */$lang['UserAdvManager_LastVisit_false'] = ' Disable (default)';
+/* TODO */$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname mandatory for guests comments';
+/* TODO */$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Enable';
+/* TODO */$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Disable (default)';
+
+/* TODO */$lang['UserAdvManager_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
+/* TODO */$lang['UserAdvManager_Tips1_txt'] = '
+          <ul>
+            <li>
+Ingredients needed:<br>
+- 2 Piwigo\'s user groups at least: &quot;Waiting&quot; for visitors awaiting validation and &quot;Validated&quot; for visitors who have validated their registration<br>
+- NBC_UAM plugin<br>
+- PWG Stuffs plugin<br>
+- Possibly Extended Description plugin (to support multi-lingual)
+            </li>
+<br><br>
+            <li>
+La recette :<br>
+            <ul>
+              <li>
+Preamble: It\'s located in the case of a private gallery or semi-private (ie only a small part of categories is available by Guests and registered can see everything). We consider that the required plugins are installed (does it remind you?).<br><br>
+              </li>
+              <li>
+Attribute group &quot;Waiting&quot; no permission on private categories<br><br>
+              </li>
+              <li>
+Attribute group &quot;Validated&quot; all permissions on the private categories<br><br>
+              </li>
+              <li>
+In NBC_UAM plugin:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>In the field below &quot;Customizing the confirmation email&quot;, enter text for additional explanation will be attached to email registration confirmation. Possibly, it is possible to use markup language implemented by the plugin Extended Description</li>
+                <li>In the &quot;Group for users who have not validated their registration&quot;, select group &quot;Waiting&quot;</li>
+                <li>In the &quot;Group for users who have validated their registration&quot;, select group &quot;Validated&quot;</li>
+                <li>Save the plugin configuration</li>
+              </ol>
+              </li>
+<br><br>
+              <li>
+In PWG Stuff plugin:
+              <ol>
+                <li>Add a new module personal block like an edito</li>
+                <li>In the module\'s configuration, in addition to its title (eg &quot;Registration pending validation&quot;) and its description, check only the authorized group &quot;Waiting&quot;</li>
+                <li>In the content module, enter the message text which sought information will be visible as invalid user. Again, ability to manage multi-language through Extended Description\'s tags</li>
+                <li>Validate module</li>
+                <li>Define its place on the main page of the gallery</li>
+              </ol>
+              </li>
+            </ul>
+            </li>
+<br><br>
+            <li>
+              The result:<br>
+              - A "Guest" arrives on the gallery, he sees nothing other than the public categories and no information message.<br>
+              - He registers. This generates an email validation and automatic membership to the group &quot;Waiting&quot;.<br>
+              - At the end, he\'s redirected to the gallery homepage and a message indicating the waiting of validate its registration<br><br>
+              He received his email validation, following the link provided for that purpose in the mail, releases the group &quot;Waiting&quot; and takes place in the group &quot;Validated&quot;. By clicking the &quot;Home&quot;, then he\'s connected to the gallery with full access to private groups and without the information message.
+            </li>
+          </ul>';
+
+/* TODO */$lang['Tab_UserManager'] = 'Tracking validations';
 
 /* UserManager Tab */
-/* TODO */$lang['UserManager_Title'] = 'Advanced settings of unvalidated registered users';
-/* TODO */$lang['Title_Tab3'] = 'UserAdvManager - Visitors management';
-/* TODO */$lang['Tab_UserManager'] = 'Visitors management';
-/* TODO */$lang['UserAdvManager_ConfirmMail_User_List'] = 'When limiting the deadline for registration is enabled, you will find below the list of users awaiting validation, <b style="text-decoration: underline;">whether or not</b> they are in time to validate.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
-<br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
-<br>
-- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
-<br>';
-/* TODO */$lang['Registration_Date'] = 'Registration date';
-
-
+/* TODO */$lang['SubTitle3'] = 'Tracking validations';
+/* TODO */$lang['UserManager_Title'] = 'Tracking validations';
+/* Ghost Tracker Tab */
+/* TODO */$lang['SubTitle4'] = 'Ghost Tracker';
+/* TODO */$lang['GT_Init'] = 'Initializing Ghost Tracker';
+/* TODO */$lang['GhostTracker_Title'] = 'Ghost visitors management';
+/* TODO */$lang['UserAdvManager_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
+/* UserList Tab */
+/* TODO */$lang['SubTitle5'] = 'Tracking users';
+/* TODO */$lang['Tab_UserList'] = 'Tracking users';
 /* Mailing */
-/* TODO */$lang['infos_mail %s'] = '%s, please find here your information to login the gallery :';
-/* TODO */$lang['User: %s'] = 'User : %s';
-/* TODO */$lang['Password: %s'] = 'Password: %s';
-/* TODO */$lang['Add of %s'] = 'Add of %s';
-/* TODO */$lang['Update of %s'] = 'Update of %s';
-/* TODO */$lang['Link: %s'] = 'Please, click on this link to confirm your registration : %s';
+/* TODO */$lang['Add of %s'] = 'Profile created for %s';
+/* TODO */$lang['Update of %s'] = 'Profile %s updated';
+/* Email confirmation page */
+/* TODO */$lang['confirm_mail_bad'] = '<br><br><br>Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.<br><br><br><br>';
+/* Mailing */
+/* TODO */$lang['Ghost_reminder_of_%s'] = '%s, this is a reminder email';
 /* TODO */$lang['Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
 /* TODO */$lang['Reminder_without_key_of_%s'] = '%s, your validation key will expire';
-/* TODO */$lang['Ghost_reminder_of_%s'] = '%s, this is a reminder email';
-
-
-/* Email confirmation page */
-/* TODO */$lang['title_confirm_mail'] = 'Validate your registration';
-/* TODO */$lang['confirm_mail_page_title'] = 'Validate your registration';
-/* TODO */$lang['confirm_mail_ok'] = '<br><br><br>Thank you to have confirmed your email address and your registration on the gallery. Have fun !<br><br><br><br>';
-/* TODO */$lang['confirm_mail_bad'] = '<br><br><br>Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.<br><br><br><br>';
-
-
-/* Errors and Warnings */
-/* TODO */$lang['UserAdvManager_audit_ok'] = 'Audit OK';
-/* TODO */$lang['Err_audit_no_casse'] = '<b>These accounts are identical to the case closely :</b> ';
-/* TODO */$lang['Err_audit_username_char'] = '<b>This account uses one or more forbidden characters :</b> ';
-/* TODO */$lang['Err_audit_email_forbidden'] = '<b>This account uses a forbidden email provider :</b> ';
-/* TODO */$lang['Err_audit_advise'] = '<b>you have to perform corrections to comply with new rules that you have activated.<br>Use a database management utility to correct user accounts directly in the table ### _USERS';
-/* TODO */$lang['UserAdvManager_Empty Author'] = 'The author field have to be filled to send a comment.';
-if ( isset($conf_UserAdvManager[1]) and $conf_UserAdvManager[1] == 'true' )
-	/* TODO */$lang['reg_err_login5'] = 'Username already exist, WARNING name is case insensitive (Shift = Tiny).';
-/* TODO */$lang['reg_err_login6'] = 'Username does not have to match the following characters: ';
-/* TODO */$lang['reg_err_login7'] = 'Your email provider is banned for registration. Banned email providers are: ';
-/* TODO */$lang['UserAdvManager_empty_pwd'] = '[empty password]';
-/* TODO */$lang['UserAdvManager_no_update_pwd'] = '[profile updated without password changed]';
-/* TODO */$lang['invalid_pwd'] = 'Invalid username or password !';
-/* TODO */$lang['Err_ConfirmMail_Settings'] = 'This page will be available only if "Email address confirmation" is activated in "General Setup" tab.';
-/* TODO */$lang['Err_UserManager_Settings'] = 'This page is available only if "Enable limiting the registration deadline" is active in the "ConfirmMail Settings" tab and an unvalidated users group is set in "General Setup" tab.';
-/* TODO */$lang['No_validation_for_Guest'] = 'The "Guest" account is not subject to validation';
-/* TODO */$lang['No_validation_for_default_user'] = 'The default account is not subject to validation';
-/* TODO */$lang['No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to validation';
-/* TODO */$lang['No_validation_for_your_account'] = 'Your personnal admin account is not subject to validation';
-/* TODO */$lang['Database_Error'] = '<b><u>Warning! Critical integrity error in your database.</u></b><br><br>Please check the integrity of the #_user_confirm_mail table.';
-
-
-/* Processing messages */
-/* TODO */$lang['%d_Mail_With_Key'] = '%d message with key renewal was sent';
-/* TODO */$lang['%d_Mails_With_Key'] = '%d messages with key renewal were sent';
-/* TODO */$lang['%d_Reminder_Sent'] = '%d reminder message was sent';
-/* TODO */$lang['%d_Reminders_Sent'] = '%d reminder messages were sent';
-/* TODO */$lang['%d_Validated_User'] = '%d User validated manually';
-/* TODO */$lang['%d_Validated_Users'] = '%d Users validated manually';
-
-
-/* Action button names */
-/* TODO */$lang['Delete_selected'] = 'Delete';
-/* TODO */$lang['Mail_without_key'] = 'Reminder without key';
-/* TODO */$lang['Mail_with_key'] = 'Reminder with key';
-/* TODO */$lang['Force_Validation'] = 'Forced validation';
-/* TODO */$lang['Reminder_Email'] = 'Email reminder';
-
-
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
-/* Global Configuration Tab */
-$lang['UserAdvManager_Title1'] = 'Gli utenti di registrazione di gestione';
-$lang['UserAdvManager_Title2'] = 'Registrazione e validazione dei gruppi / gestione di stato';
-$lang['UserAdvManager_Password_Enforced'] = 'Rafforzamento password - L\'attivazione di questa opzione rende il sequestro della password richiesta per i visitatori di registrazione. Inoltre, la password immessa dal visitatore incontrerà una ventina di complessità (<b style="color: green;">attivare e salvare le impostazioni per visualizzare maggiori informazioni</b>).';
-$lang['UserAdvManager_Password_Enforced_Info'] = '<b style="text-decoration: underline; color: green;">Spiegazioni:</b> <b style="color: green;">Un punteggio password è calcolato sui parametri di base: la lunghezza, il tipo di caratteri utilizzati (lettere, numeri, lettere maiuscole, minuscole, caratteri speciali). Se la password di un utente non punteggio, il punteggio raggiunto è visualizzato con il punteggio minimo da raggiungere e l\'indicazione di aumentare il valore di questa partitura. Per darvi un\'idea, un punteggio inferiore a 100 è considerata "bassa complessità". Tra 100 e 500, la complessità è aumentata e media. Oltre i 500, that\'s Fort Knox! ;-)<br>Puoi fare la tua password prove complessità utilizzando il campo sottostante. Questo vi permetterà di avere un\'idea del punteggio per definire una complessità personalizzato.</b>';
-$lang['UserAdvManager_PasswordTest'] = 'Password di prova : ';
-$lang['UserAdvManager_ScoreTest'] = 'Punteggio : ';
-$lang['PasswordTest'] = 'Calcolo punteggio';
-$lang['UserAdvManager_Password_Enforced_true'] = ' Forte richiesta password - Inserire il punteggio minimo (valore di piano) di password complessità == ';
-$lang['UserAdvManager_Password_Enforced_false'] = ' Non rafforzare la password. (default)';
-$lang['UserAdvManager_AdminPassword_Enforced'] = 'Si applicano anche al controllo password complessità quando un amministratore crea un utente? Nota: Se l\'utente ha creato vuole cambiare la sua password e rafforzare le password per gli utenti è attivo, sarà soggetto alle norme stabilite.';
-$lang['UserAdvManager_AdminPassword_Enforced_true'] = 'Abilitare le password rafforzamento per gli amministratori.';
-$lang['UserAdvManager_AdminPassword_Enforced_false'] = 'Disattivare il rafforzamento password per gli amministratori. (default)';
-$lang['UserAdvManager_GhostTracker'] = 'Ghost Tracker - Permette di gestire gli utenti registrati, secondo la loro data di ultima visita :';
-$lang['UserAdvManager_GhostTracker_true'] = ' Attiva Ghost Tracker.';
-$lang['UserAdvManager_GhostTracker_false'] = ' Disattiva Ghost Tracker. (Default)';
-$lang['UserAdvManager_GhostTracker_DayLimit'] = ' Digitare qui il limite massimo, in giorni, tra le due visite di un visitatore. Quando viene raggiunto questo limite, il visitatore verrà visualizzato nella tabella di "Ghost Tracker".';
-$lang['UserAdvManager_GhostTracker_ReminderText'] = ' Testo utilizzato nel promemoria e-mail inviate per incoraggiare i visitatori a ritornare alla galleria (NB: Il testo pre-riempita presso l\'impianto plugin è dato come un esempio).<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENZIONE !</b> <b style="color: red;">Modifica del testo è disponibile solo se Tracker Ghost è abilitato. Utilizzare i tag multi lingua da plugin descrizione estesa, se questo plugin è attivato !!!)</b>';
-/* Ghost Tracker Tab */
-/* TODO */$lang['GhostTracker_Title'] = 'Advanced ghost visitors management';
-/* TODO */$lang['Title_Tab4'] = 'UserAdvManager - Ghost Tracker';
-/* TODO */$lang['Tab_GhostTracker'] = 'Ghost Tracker';
-/* TODO */$lang['LastVisit_Date'] = 'Last visit';
-/* TODO */$lang['Ghost_Reminder'] = 'Email reminder';
-/* TODO */$lang['Reminder_Sent_OK'] = 'YES';
-/* TODO */$lang['Reminder_Sent_NOK'] = 'NO';
-/* Errors and Warnings */
-/* TODO */$lang['UserAdvManager_save_config'] ='Configuration saved.';
-/* TODO */$lang['reg_err_login3'] = 'Security : Password is mandatory !';
-/* TODO */$lang['reg_err_login4_%s'] = 'Security : A control system calculates a score on the chosen passwords complexity. The complexity of your password is too low (score = %s). Please, choose a new password more secure by following these rules:<br>
-- Use letters and numbers<br>
-- Use lowercase and uppercase<br>
-- Increase its length (number of characters)<br>
-The minimum passwords score required by the administrator is: ';
-/* TODO */$lang['No_reminder_for_Guest'] = 'The "Guest" account is not subject to receive reminders from GhostTracker';
-/* TODO */$lang['No_reminder_for_default_user'] = 'The default account is not subject to receive reminders from GhostTracker';
-/* TODO */$lang['No_reminder_for_Webmaster'] = 'The "Webmaster" account is not subject to receive reminders from GhostTracker';
-/* TODO */$lang['No_reminder_for_your_account'] = 'You personnal admin account is not subject to receive reminders from GhostTracker';
-/* TODO */$lang['Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in the "General Setup" tab.';
-/* Action button names */
-/* TODO */$lang['audit'] = 'Audit settings';
-/* TODO */$lang['submit'] = 'Save settings';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.2
-/* Global Configuration Tab */
-$lang['UserAdvManager_GhostTracker_Notice'] = 'Quando la funzione Ghost Tracker è attivata, è possibile gestire i tuoi visitatori a seconda della frequenza delle loro visite. <b style="color: red;">ATTENZIONE : Se si attiva questa funzione per la prima volta o che hanno riattivato, dopo un lungo periodo fuori durante il quale i nuovi visitatori sono registrati, visitare la scheda Tracker Ghost e seguire le istruzioni per l\'inizializzazione Ghost Tracker.</b>';
-/* Ghost Tracker Tab */
-/* TODO */$lang['UserAdvManager_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
-/* TODO */$lang['UserAdvManager_GhostTracker_User_List'] = 'When Ghost Tracker is enabled and initialized, you will find below the list of registered visitors who have not returned since x days. "x" is the number of days configured in the General Setup tab. In addition, you will find a column indicating whether an email reminder has been sent to targeted visitors. So, you can see at a glance and treat visitors who have not taken account of the reminder.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>with resetting the last visit date</b>. This allows to give a wildcard to targeted visitors. If the visitor has already received a reminder, nothing prevents to resent a new mail which will reset again, in fact, the last visit date.
-<br>';
-/* Errors and Warnings */
-/* TODO */$lang['GhostTracker_Init_OK'] = 'Ghost Tracker reset done !';
-/* Action button names */
-/* TODO */$lang['GT_Reset'] = 'Reset Ghost Tracker';
-// --------- End: New or revised $lang ---- from version 2.12.2
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.6
-/* Global Configuration Tab */
-$lang['UserAdvManager_No_Casse_true'] = ' Fare il caso di account utente insensibili al momento della registrazione e la fase di identificazione (USER = user = User = usER...).';
-// --------- End: New or revised $lang ---- from version 2.12.6
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-/* Errors and Warnings */
-/* TODO */$lang['mail_text_error'] = '<b>Warning!</b> - Semicolons (;) are not allowed in addtionnal email text. This Character have been automatically replaced by a dot (.). For information, the amended text(s) is(are) shown in red in the corresponding field(s). Please, check it(them) out.';
-// --------- End: New or revised $lang ---- from version 2.12.7
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.8
-/* Errors and Warnings */
-/* TODO */$lang['mail_exclusionlist_error'] = 'Warning! You have entered a new line (CR-LF) at the begining of email exclusion list (shown in red below). Although this new line is not visible, it is still present and may cause malfunction of the plugin. Please re-type in your exclusion list in a manner that does not begin with a newline.';
-// --------- End: New or revised $lang ---- from version 2.12.8
-
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-/* Global Configuration Tab */
-/* TODO */$lang['UserAdvManager_Add_LastVisit_Column'] = ' View user monitoring record (date of last visit, time spent (in days) since their last visit ,...). Monitoring is purely informative for the administrator of the gallery.';
-/* TODO */$lang['UserAdvManager_Add_LastVisit_Column_true'] = ' Enable user monitoring list.';
-/* TODO */$lang['UserAdvManager_Add_LastVisit_Column_false'] = ' Disable user monitoring list (Default).';
-/* ConfirmMail Configuration Tab */;
-$lang['ConfirmMail_Title'] = 'Impostazioni avanzate per la convalida degli utenti registrati';
-$lang['Tab_ConfirmMail'] = 'Registrati impostazioni di convalida';
-/* UserList Tab */
-/* TODO */$lang['Title_Tab5'] = 'UserAdvManager - User Information';
-/* TODO */$lang['UserList_Title'] = 'Monitoring registered users';
-/* TODO */$lang['Tab_UserList'] = 'Monitoring users';
-/* TODO */$lang['UserAdvManager_User_List'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
-<br><br>
-When the Ghost Tracker is active, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
-<br>
-- <b style="color: lime;">Green</b> : When the user has visited the gallery <b style="color: lime;"><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style="color: orange;">Orange</b> : When the user has visited the gallery <b style="color: orange;"><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style="color: red;">Red</b> : When the user has visited the gallery <b style="color: red;"><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
-<br>
-Example :
-<br>
-The maximum period of Ghost Tracker is configured to 100 days.
-<br>
-A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
-<br><br>
-<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the "Validation management.';
-/* TODO */$lang['Nb_Days'] = 'Number of days<br>since last visit';
-/* UserManager Tab */
-/* TODO */$lang['UserAdvManager_ConfirmMail_User_List'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style="text-decoration: underline;">whether or not</b> they are in time to validate.<br><br>The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the validation key is still valid and we can send an email with or without a new validation key.<br><br>When the registration date appears in red, the validation period has expired. In this case, you must send an email with regeneration of validation key if you want to enable the user to validate their registration.<br><br>In all cases, it is possible to manually force the validation.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
-<br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
-<br>
-- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
-<br>';
-/* TODO */$lang['UserManager_Title'] = 'Advanced management of unvalidated';
-/* TODO */$lang['Title_Tab3'] = 'UserAdvManager - Management of registration validations';
-/* TODO */$lang['Tab_UserManager'] = 'Validations management';
-/* Ghost Tracker Tab */
-/* TODO */$lang['Reminder'] = 'Email Reminder';
-/* Errors and Warnings */
-/* TODO */$lang['Err_Userlist_Settings'] = 'This page is available only if "Users monitoring" is active in the "General Setup" tab.';
-// --------- End: New or revised $lang ---- from version 2.13.0
-// --------- Starting below: New or revised $lang ---- from version 2.13.1
-/* Global Configuration Tab */
-$lang['Title_Tab1'] = 'UserAdvManager 2.13.1 - Configurazione generale';
-/* ConfirmMail Configuration Tab */
-$lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Registrati impostazioni di convalida';
-// --------- End: New or revised $lang ---- from version 2.13.1
-// --------- Starting below: New or revised $lang ---- from version 2.13.3
-/* Global Configuration Tab */
-$lang['UserAdvManager_Username_Char_true'] = ' I seguenti caratteri <b style="color: green;">(valori separati con virgole ","!)</b> sarà proibito per la scelta username == ';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Alias sono obbligatori per i commenti. <b style="color: red;">Non attivare questo se non hai dato il permesso per non registrati ai visitatori di inviare commenti (pannello di amministrazione PhpWebGallery> Impostazioni> Generali, scheda Commenti> "Commenti per tutti")</b>';
-// --------- End: New or revised $lang ---- from version 2.13.3
+/* Errors and Warnings */
+/* TODO */$lang['Err_UserManager_Settings'] = 'This page is available only if "Deadline for registration validation limited" is active and an unvalidated users group is set in "Setting confirmations and validations of registration".';
+/* TODO */$lang['Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in "Setting the registrations followed and other options".';
+/* TODO */$lang['Err_Userlist_Settings'] = 'This page is available only if "Monitoring registered users" is active in the "Setting the registrations followed and other options".';
+// --------- End: New or revised $lang ---- from version 2.13.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/maintain.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 4983)
+++ /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 4984)
@@ -12,5 +12,5 @@
   $q = '
 INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
-VALUES ("nbc_UserAdvManager","true;false;false;-1;-1;-1;false;false;;-1;;;false;;false;100;false;false;10;Hello.
+VALUES ("nbc_UserAdvManager","false;false;false;-1;-1;-1;false;false;;-1;;;false;;false;100;false;false;10;Hello.
 	
 This is a reminder because a very long time passed since your last visit on our gallery. If you do not want anymore to use your access account, please let us know by replying to this email. Your account will be deleted.
@@ -20,5 +20,5 @@
 Best regards,
 
-The admin of the gallery.","Parametres du plugin nbc UserAdvManager")
+The admin of the gallery.;false","Parametres du plugin nbc UserAdvManager")
   ;';
   pwg_query($q);
